Solved Which, if any Firefox can I use?

August 8, 2015 at 20:50:55
Specs: Windows XP, Intel Celeron 1.30GHz
I'm using Windows XP Pro (SP3). A couple sights have recently come up stating because I'm using an old browser (IE 8), some features may not work, and it's suggested I update my browser.

IE 8 is as far as I can go with XP, so to update I'd have to use Firefox, Chrome, or other browser. After talking with a couple folks who have tried other browsers, I've decided to try Firefox.

I have found that a Pentium 4 or newer is required for the latest Firefox, which leaves me out. My computer has a 1.3 gig Intel Celeron processor. 32 kb primary memory cache and 256 kb secondary memory cache, and 512 mb memory.

What version of Firefox can I use, if any? I clicked the "Contact" link on the Firefox web sight, but can't find any contact information.


See More: Which, if any Firefox can I use?

Report •

#1
August 8, 2015 at 22:03:24
I use the portable version of Firefox on my old ThinkPad. Another suggestion I have heard lately is firefox light. Haven't played with that much

::mike


Report •

#2
August 8, 2015 at 23:58:35
I had to update an old P-III with XP a few months ago. As I recall I just went here:

https://www.mozilla.org/en-US/firef...

and clicked the 'free download' button. The file you download is just a small Firefox startup file. When you run it it will connect and download the files needed for your particular system. At least that's the way it worked with me--I never had to specify the version I needed.

Edit I should add that assumes you plan on downloading firefox on the machine you intend to use it on. That's the way their download page is setup anyway. If you wanted to download it on one machine and then install it on the other you'd have to find a site that had the entire download and then, yes, you'd need to know what version was needed.

message edited by DAVEINCAPS


Report •

#3
August 10, 2015 at 23:41:14
✔ Best Answer
"I have found that a Pentium 4 or newer is required for the latest Firefox, which leaves me out. My computer has a 1.3 gig Intel Celeron processor. 32 kb primary memory cache and 256 kb secondary memory cache, and 512 mb memory."

A Pentium 4 is recommended, not required (https://www.mozilla.org/en-US/firefox/38.0/system-requirements/). Your machine should be fine with a current version of Firefox. However, you will be unable to watch Netflix without a SSE2-compatible processor such as the Pentium 4.

You'll also want to stick with Adobe Flash Player 10 or older, as the newer ones are compiled for SSE2 processors. At least many websites and browsers are now HTML5 compatible which negates the need for Flash Player.

http://sdfox7.com

message edited by sdfox 7


Report •
Related Solutions


Ask Question